# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=lapce
pkgver=0.4.1
pkgrel=0
pkgdesc="Lightning-fast and Powerful Code Editor written in Rust"
arch=('amd64')
url="https://lapce.dev"
license=('Apache')
# From Debian package: libc6 (>= 2.29), libgcc-s1 (>= 4.2), libssl1.1 (>= 1.1.1), zlib1g (>= 1:1.1.4)
depends=('libc6' 'libgcc-s1' 'libssl1.1' 'zlib1g')
source=("${pkgname}_${pkgver}-${pkgrel}_${arch}.deb::https://github.com/lapce/lapce/releases/download/v${pkgver}/lapce.debian.bullseye.amd64.deb")
sha256sums=('3fc5239b0d0d3f4829afaeefc886996204dde4dc3248ce18b095c0388cc8f7fb')

package() {
    cd "${srcdir}"
    msg2 "Setting up data..."
    tar xf data.tar.xz -C "${pkgdir}"
}
